/* page bg yea */
body {
  background-color: #000000;
  background-image: url("/images/.gif");
  background-position: center;
  background-size: cover;
  margin: 0;
  font-family: 'Rubik', sans-serif;
  font-size: x-large;
}

h1 {
  color: #ffffff;
  text-shadow: 0 0 30px #ffffff;
}

.layout-container {
  display: flex;
  min-height: 100vh;
}

.sidebar {
  width: 220px;
  background-image: url("images/disco.gif");
  color: #ffffff;
  padding: 20px;
  border-right: 3px solid #000000;
  text-shadow: 0 0 70px #ffffff;

  display: flex;
  flex-direction: column;
  align-items: flex-start;
}

.sidebar h2 {
  color: #ffffff;
  -webkit-text-stroke: 2px black;
}

.main-content {
  flex: 1;
  padding: 20px;
  background-color: #999999;
  background: linear-gradient(90deg, #2c49aa, #6658b4, #4db3a2, #00ff2a62)
}

.scrolling-bar {
  width: 100%;
  background: linear-gradient(90deg, #7fe699, #bb6161, #52709c);
  color: #15ff00;
  overflow: hidden;
  white-space: nowrap;
  font-weight: bold;
}

.bar-text {
  display: inline-block;
  padding-left: 100%;
  animation: scroll-left 15s linear infinite;
}

@keyframes scroll-left {
  0% {
    transform:  translate3d(0,0,0);
  }
  100% {
    transform: translate3d(-100%,0,0);
  }
}

h2 {
  color: #ffffff;
text-shadow: 0 0 20px#ffffff;
}

.sound-word {
  cursor: pointer;
}

.HOMEPAGE {
  display: block;
  width: 150px;
  height: 40px;
  padding: 5px;
  margin: 8px 0;
  background: #15ff0000;
  color: #ffffff;
  text-align: center;
  text-decoration: none;
  border: 2px solid #5eff00;
  box-sizing: border-box;

  flex: none;
  align-self: flex-start;
}

.HOMEPAGE:hover {
  filter: brightness(1.2);
}

.HOMEPAGE:active {
  border-style: inset;
}

table {
    background-color: #000000;
    border-color: #000000;
    table-layout: fixed;
    width: 100%;
}

td {
    background-image: url(images/disco.gif);
    border: 2px outset #ccc;
    color: #ffffff;
    -webkit-text-stroke: 1px rgb(61, 61, 61);
    table-layout: fixed;
    width: 100%;
}

a:link { color: rgb(255, 255, 255); }
a:visited { color: #ffffff; }
a:hover { color: #7fe699; }

.sidebar-content {
  width: 100%;
  box-sizing: border-box;
}

.sidebar-text {
  margin: 0 0 15px 0; /* Added a bottom margin because i can */
  color: snow;
  font-size: clamp(16px, 4vw, 24px); /* Scales well down to mobile screens because people are too broke to afford a computer*/
  line-height: 1.4;
  
  /* force the text wrapping sweaty */
  white-space: normal; 
  word-break: break-word; 
}